
Redmine - Defect #10796

can't enter my account

2012-04-28 10:03 - Yuan-Chung Hsiao

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.1

Description

ruby 1.9.3p125 (2012-02-16 revision 34643) [amd64-freebsd9]Rails 2.3.14

mysql 5.1.62

redmine 1.4.1

no any plugins

Processing MyController#account (for 59.126.105.240 at 2012-04-28 15:36:51) [GET]                 

                                                            

  Parameters: {"controller"=>"my", "action"=>"account"}                                           

                                                            

Rendering template within layouts/base                                                            

                                                            

Rendering my/account                                                                              

                                                            

ActionView::TemplateError (undefined method `unsubscribe?' for #<Class:0x00000090676fc0>) on line 

#6 of app/views/my/_sidebar.html.erb:                       

3: <p><%=l(:field_login)%>: <strong><%= link_to_user(@user, :format => :username) %></strong><br /

>                                                           

4: <%=l(:field_created_on)%>: <%= format_time(@user.created_on) %></p>                            

                                                            

5:                                                                                                

                                                            

6: <% if @user.own_account_deletable? %>                                                          

                                                            

7:   <p><%= link_to(l(:button_delete_my_account), {:action => 'destroy'}, :class => 'icon icon-del

') %></p>                                                   

8: <% end %>                                                                                      

                                                            

9:     

    app/models/user.rb:491:in `own_account_deletable?'                                            

                                                            

    app/views/my/_sidebar.html.erb:6                                                              

                                                            

    app/views/my/account.html.erb:48:in `block in _run_erb_app47views47my47account46html46erb'    

                                                            

    app/helpers/application_helper.rb:1048:in `content_for'                                       

                                                            

    app/views/my/account.html.erb:47                                                              

                                                            

    <internal:prelude>:10:in `synchronize'                                                        

                                                            

    passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'      

                                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_proces

s_next_request'                                             

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'       

                                                            

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_re

quest_handler'                                              

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in

2025-04-12 1/2



 handle_spawn_application'                                  

    passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'                          

                                                            

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_s

pawn_application'                                           

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'         

                                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'      

                                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'                    

                                                            

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'  

                                                            

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_ra

ils_application'                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add' 

                                                            

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_applica

tion'                                                       

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchro

nize'                                                       

    <internal:prelude>:10:in `synchronize'                                                        

                                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'    

                                                            

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'    

                                                            

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'          

                                                            

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'   

                                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'         

                                                            

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'      

                                                            

    passenger (3.0.12) helper-scripts/passenger-spawn-server:99:in `<main>'                       

                                                            

Rendering /usr/local/www/redmine-1.4.1/public/500.html (500 Internal Server Error) 

History

#1 - 2012-04-28 10:04 - Yuan-Chung Hsiao

upgrade from redmine 1.3.3

#2 - 2012-04-28 11:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Make sure you properly restarted the application and that your config/settings.yml is fresh and has no local changes.

#3 - 2012-04-28 12:02 - Yuan-Chung Hsiao

Thanks, it really settings.yml problem
